<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class ADMIN_Controller extends Controller {
    function ADMIN_Controller()
    {
        parent::Controller();
        
        $this->load->helper('url');
        
        // 共通の処理をここに書く
        // ...
        
        $this->load->library('phpsession');
        
        $admin = $this->phpsession->get('admin');
        if (is_null($admin))
        {
            // 管理者ログインページへ
            // TODO
        }
        $box['loginbox'][1] = '<a href="' . site_url('admin/users/logout') . '">ログアウト</a>';
        $this->load->vars($box);
    }
}
?>